%define oname gimagereader

Name:          gimagereader-qt5
Version:       3.4.1
Release:       %mkrel 2
Summary:       A front-end to tesseract-ocr
Group:         Graphics
License:       GPLv3+
URL:           https://github.com/manisandro/gimagereader
Source0:       https://github.com/manisandro/gimagereader/releases/download/v%{version}/%{oname}-%{version}.tar.xz
BuildRequires: lib64enchant2-devel
BuildRequires: lib64djvulibre-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qtspell-qt5-devel
BuildRequires: lib64sane1-devel
BuildRequires: lib64tesseract-devel
BuildRequires: libgomp-devel

Requires:      tesseract
Requires:      hicolor-icon-theme
Requires:      gvfs

Conflicts:     gimagereader-gtk

%description
gImageReader is a simple front-end to tesseract. Features include:
 - Import PDF documents and images from disk, scanning devices, clipboard and screenshots
 - Process multiple images and documents in one go
 - Manual or automatic recognition area definition
 - Recognize to plain text or to hOCR documents
 - Recognized text displayed directly next to the image
 - Post-process the recognized text, including spellchecking
 - Generate PDF documents from hOCR documents


%prep
%setup -qn %{oname}-%{version}
%apply_patches


%build
%cmake -DINTERFACE_TYPE=qt5 -DENABLE_VERSIONCHECK=0 -DMANUAL_DIR="%{_defaultdocdir}/%{name}-common"
%cmake_build


%install
%cmake_install

%files
%{_bindir}
%{_datadir}

%post
%update_menus

%postun
%clean_menus


%changelog
* Fri Jun 16 2023 pp - 3.4.1-2pclos2023
- rebuild against updated quazip

* Sun Feb 05 2023 pp - 3.4.1-1pclos2023
- new version

* Sun Mar 20 2022 pp - 3.4.0-1pclos2022
- new version

* Fri Dec 18 2020 tex - 3.3.1-1pclos2020
- create pkg
